/*
Rewards API

No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package rewardsapi

import (
	"encoding/json"
)

// checks if the DrawInstantWinRequest type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &DrawInstantWinRequest{}

// DrawInstantWinRequest struct for DrawInstantWinRequest
type DrawInstantWinRequest struct {
	Name string `json:"name"`
	InteractionId string `json:"interaction_id"`
	TransactionId string `json:"transaction_id"`
	ContactId string `json:"contact_id"`
	ChannelId string `json:"channel_id"`
	ConversationId string `json:"conversation_id"`
}

// NewDrawInstantWinRequest instantiates a new DrawInstantWinRequest object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewDrawInstantWinRequest(name string, interactionId string, transactionId string, contactId string, channelId string, conversationId string) *DrawInstantWinRequest {
	this := DrawInstantWinRequest{}
	this.Name = name
	this.InteractionId = interactionId
	this.TransactionId = transactionId
	this.ContactId = contactId
	this.ChannelId = channelId
	this.ConversationId = conversationId
	return &this
}

// NewDrawInstantWinRequestWithDefaults instantiates a new DrawInstantWinRequest object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewDrawInstantWinRequestWithDefaults() *DrawInstantWinRequest {
	this := DrawInstantWinRequest{}
	return &this
}

// GetName returns the Name field value
func (o *DrawInstantWinRequest) GetName() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.Name
}

// GetNameOk returns a tuple with the Name field value
// and a boolean to check if the value has been set.
func (o *DrawInstantWinRequest) GetNameOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.Name, true
}

// SetName sets field value
func (o *DrawInstantWinRequest) SetName(v string) {
	o.Name = v
}

// GetInteractionId returns the InteractionId field value
func (o *DrawInstantWinRequest) GetInteractionId() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.InteractionId
}

// GetInteractionIdOk returns a tuple with the InteractionId field value
// and a boolean to check if the value has been set.
func (o *DrawInstantWinRequest) GetInteractionIdOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.InteractionId, true
}

// SetInteractionId sets field value
func (o *DrawInstantWinRequest) SetInteractionId(v string) {
	o.InteractionId = v
}

// GetTransactionId returns the TransactionId field value
func (o *DrawInstantWinRequest) GetTransactionId() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.TransactionId
}

// GetTransactionIdOk returns a tuple with the TransactionId field value
// and a boolean to check if the value has been set.
func (o *DrawInstantWinRequest) GetTransactionIdOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.TransactionId, true
}

// SetTransactionId sets field value
func (o *DrawInstantWinRequest) SetTransactionId(v string) {
	o.TransactionId = v
}

// GetContactId returns the ContactId field value
func (o *DrawInstantWinRequest) GetContactId() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.ContactId
}

// GetContactIdOk returns a tuple with the ContactId field value
// and a boolean to check if the value has been set.
func (o *DrawInstantWinRequest) GetContactIdOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.ContactId, true
}

// SetContactId sets field value
func (o *DrawInstantWinRequest) SetContactId(v string) {
	o.ContactId = v
}

// GetChannelId returns the ChannelId field value
func (o *DrawInstantWinRequest) GetChannelId() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.ChannelId
}

// GetChannelIdOk returns a tuple with the ChannelId field value
// and a boolean to check if the value has been set.
func (o *DrawInstantWinRequest) GetChannelIdOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.ChannelId, true
}

// SetChannelId sets field value
func (o *DrawInstantWinRequest) SetChannelId(v string) {
	o.ChannelId = v
}

// GetConversationId returns the ConversationId field value
func (o *DrawInstantWinRequest) GetConversationId() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.ConversationId
}

// GetConversationIdOk returns a tuple with the ConversationId field value
// and a boolean to check if the value has been set.
func (o *DrawInstantWinRequest) GetConversationIdOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.ConversationId, true
}

// SetConversationId sets field value
func (o *DrawInstantWinRequest) SetConversationId(v string) {
	o.ConversationId = v
}

func (o DrawInstantWinRequest) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o DrawInstantWinRequest) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	toSerialize["name"] = o.Name
	toSerialize["interaction_id"] = o.InteractionId
	toSerialize["transaction_id"] = o.TransactionId
	toSerialize["contact_id"] = o.ContactId
	toSerialize["channel_id"] = o.ChannelId
	toSerialize["conversation_id"] = o.ConversationId
	return toSerialize, nil
}

type NullableDrawInstantWinRequest struct {
	value *DrawInstantWinRequest
	isSet bool
}

func (v NullableDrawInstantWinRequest) Get() *DrawInstantWinRequest {
	return v.value
}

func (v *NullableDrawInstantWinRequest) Set(val *DrawInstantWinRequest) {
	v.value = val
	v.isSet = true
}

func (v NullableDrawInstantWinRequest) IsSet() bool {
	return v.isSet
}

func (v *NullableDrawInstantWinRequest) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableDrawInstantWinRequest(val *DrawInstantWinRequest) *NullableDrawInstantWinRequest {
	return &NullableDrawInstantWinRequest{value: val, isSet: true}
}

func (v NullableDrawInstantWinRequest) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableDrawInstantWinRequest) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


